Technical: Change Element with *URI back to *URL

11/16/2016 11:10 AM - B. Baltruschat

Status: In Progress Start date: 11/17/2016

Priority: Normal Due date:  

Assignee:  % Done: 50%

Category: Element Name Estimated time: 0.00 hour

Target version:    

Description

Change element names which contain an *URI back to URL where the expected content of the field is acutally only a URL and not

any URI

via David Fichtmüller from ABCD Wiki ( http://abcd.biowikifarm.net/wiki/Internal:ABCD_Corrections#URI_vs_URL )

(Improvement    not backward compatible    Status: Suggested)

There are 11 different element types with 66 different elements which all have "URI" in the element name (in 51 of these 66 cases,

URI is the entire element name). In most of these cases, however only a URL is expected. While it is technically correct to call the

element *URI, it might be confusing as is implies that other URI types are also encouraged to be used. There might be some cases

where it might be useful to enter a DIO instead of an URL, but judging from the context I would guess that in most cases, a URL is

the best way to link to something. Also I guess most applications processing ABCD won't be able to handle anything else but URLs

and some might even crash if for example an image or logo is delivered using the "data:image/png;base64"-approach. My

suggestion is therefore to review the different element types and check if the usage of an URI does make sense in this context and if

not rename the element to URL, so make it clearer what kind of content is suggested.

Effected Elements:

complexType:MetadataDescriptionRepr/URI

 /DataSets/DataSet/Metadata/Description/Representation/URI

complexType:Sequence/URI

 /DataSets/DataSet/Units/Unit/Sequences/Sequence/URI

complexType:Contact/URIs/URI

 /DataSets/DataSet/Metadata/Owners/Owner/URIs/URI

 /DataSets/DataSet/Units/Unit/Owner/URIs/URI

 /DataSets/DataSet/Units/Unit/UnitContentContacts/UnitContentContact/URIs/URI

 /DataSets/DataSet/Units/Unit/SpecimenUnit/Owner/URIs/URI

 /DataSets/DataSet/Units/Unit/SpecimenUnit/Acquisition/AcquiredFrom/URIs/URI

 /DataSets/DataSet/Units/Unit/SpecimenUnit/Preparations/Preparation/PreparationAgent/URIs/URI

 /DataSets/DataSet/Units/Unit/Gathering/Project/Contact/URIs/URI

 /DataSets/DataSet/Units/Unit/Sequences/Sequence/SequencingAgent/URIs/URI

complexType:Statement/URI

 /DataSets/DataSet/Metadata/IPRStatements/IPRDeclarations/IPRDeclaration/URI

 /DataSets/DataSet/Metadata/IPRStatements/Copyrights/Copyright/URI

 /DataSets/DataSet/Metadata/IPRStatements/Licenses/License/URI

 /DataSets/DataSet/Metadata/IPRStatements/TermsOfUseStatements/TermsOfUseStatement/URI

 /DataSets/DataSet/Metadata/IPRStatements/Disclaimers/Disclaimer/URI

 /DataSets/DataSet/Metadata/IPRStatements/Acknowledgements/Acknowledgement/URI

 /DataSets/DataSet/Metadata/IPRStatements/Citations/Citation/URI

 /DataSets/DataSet/Units/Unit/IPRStatements/IPRDeclarations/IPRDeclaration/URI

 /DataSets/DataSet/Units/Unit/IPRStatements/Copyrights/Copyright/URI

 /DataSets/DataSet/Units/Unit/IPRStatements/Licenses/License/URI

 /DataSets/DataSet/Units/Unit/IPRStatements/TermsOfUseStatements/TermsOfUseStatement/URI

 /DataSets/DataSet/Units/Unit/IPRStatements/Disclaimers/Disclaimer/URI

 /DataSets/DataSet/Units/Unit/IPRStatements/Acknowledgements/Acknowledgement/URI

 /DataSets/DataSet/Units/Unit/IPRStatements/Citations/Citation/URI

 /DataSets/DataSet/Units/Unit/MultiMediaObjects/MultiMediaObject/IPRStatements/IPRDeclarations/IPRDeclaration/URI

 /DataSets/DataSet/Units/Unit/MultiMediaObjects/MultiMediaObject/IPRStatements/Copyrights/Copyright/URI

 /DataSets/DataSet/Units/Unit/MultiMediaObjects/MultiMediaObject/IPRStatements/Licenses/License/URI
 /DataSets/DataSet/Units/Unit/MultiMediaObjects/MultiMediaObject/IPRStatements/Disclaimers/Disclaimer/URI

 /DataSets/DataSet/Units/Unit/MultiMediaObjects/MultiMediaObject/IPRStatements/Acknowledgements/Acknowledgement/URI

 /DataSets/DataSet/Units/Unit/MultiMediaObjects/MultiMediaObject/IPRStatements/Citations/Citation/URI

 /DataSets/DataSet/Units/Unit/Gathering/SiteImages/SiteImage/IPRStatements/IPRDeclarations/IPRDeclaration/URI

 /DataSets/DataSet/Units/Unit/Gathering/SiteImages/SiteImage/IPRStatements/Copyrights/Copyright/URI

 /DataSets/DataSet/Units/Unit/Gathering/SiteImages/SiteImage/IPRStatements/Licenses/License/URI

 /DataSets/DataSet/Units/Unit/Gathering/SiteImages/SiteImage/IPRStatements/TermsOfUseStatements/TermsOfUseStatement/URI

 /DataSets/DataSet/Units/Unit/Gathering/SiteImages/SiteImage/IPRStatements/Disclaimers/Disclaimer/URI

 /DataSets/DataSet/Units/Unit/Gathering/SiteImages/SiteImage/IPRStatements/Acknowledgements/Acknowledgement/URI

 /DataSets/DataSet/Units/Unit/Gathering/SiteImages/SiteImage/IPRStatements/Citations/Citation/URI

complexType:Reference/URI

 /DataSets/DataSet/Units/Unit/Identifications/Identification/References/Reference/URI

 /DataSets/DataSet/Units/Unit/CultureCollectionUnit/References/Reference/URI

 /DataSets/DataSet/Units/Unit/Gathering/Altitude/MeasurementOrFactAtomised/MeasurementOrFactReference/URI

 /DataSets/DataSet/Units/Unit/Gathering/Depth/MeasurementOrFactAtomised/MeasurementOrFactReference/URI

 /DataSets/DataSet/Units/Unit/Gathering/Height/MeasurementOrFactAtomised/MeasurementOrFactReference/URI

 /DataSets/DataSet/Units/Unit/Identifications/Identification/Identifiers/IdentificationSource/URI

 /DataSets/DataSet/Units/Unit/SourceReference/URI

 /DataSets/DataSet/Units/Unit/UnitReferences/UnitReference/URI

 /DataSets/DataSet/Units/Unit/Sequences/Sequence/Reference/URI

complexType:ContentMetadata/IconURI

 /DataSets/DataSet/Metadata/IconURI

complexType:Contact/LogoURI

 /DataSets/DataSet/Metadata/Owners/Owner/LogoURI

 /DataSets/DataSet/Units/Unit/Owner/LogoURI

 /DataSets/DataSet/Units/Unit/UnitContentContacts/UnitContentContact/LogoURI

 /DataSets/DataSet/Units/Unit/SpecimenUnit/Owner/LogoURI

 /DataSets/DataSet/Units/Unit/SpecimenUnit/Acquisition/AcquiredFrom/LogoURI

 /DataSets/DataSet/Units/Unit/SpecimenUnit/Preparations/Preparation/PreparationAgent/LogoURI

 /DataSets/DataSet/Units/Unit/Gathering/Project/Contact/LogoURI

 /DataSets/DataSet/Units/Unit/Sequences/Sequence/SequencingAgent/LogoURI

complexType:ContentMetadata/DirectAccessURI

 /DataSets/DataSet/Metadata/DirectAccessURI

complexType:MultiMediaObject/FileURI

 /DataSets/DataSet/Units/Unit/MultiMediaObjects/MultiMediaObject/FileURI

 /DataSets/DataSet/Units/Unit/Gathering/SiteImages/SiteImage/FileURI

complexType:MultiMediaObject/ProductURI

 /DataSets/DataSet/Units/Unit/MultiMediaObjects/MultiMediaObject/ProductURI

 /DataSets/DataSet/Units/Unit/Gathering/SiteImages/SiteImage/ProductURI

element:Unit/RecordURI

 /DataSets/DataSet/Units/Unit/RecordURI

Subtasks:

Support # 416: Konzeptliste URL / URI Closed
Support # 417: URI vs URL New

History

#1 - 01/23/2017 05:11 PM - D. Fichtmüller

- Tracker changed from Support to Bug

- Project changed from ABCD 3.0 Project to ABCD

- Description updated

- Category set to Element Name

updated list to currently recommended XPaths, removed one deprecated element and adjusted the numbers

#2 - 01/23/2017 05:33 PM - D. Fichtmüller

- Subject changed from Technical: URI vs URL to Technical: Change Element with *URI back to *URL

- Description updated

- Status changed from New to In Progress

After reviewing all of the 11 different types I think all of them should be renamed back to URI. In all of them the use case and usage description is to

either load external resources or send the user to a website using the URI. Here are the 11 different types with an example description for one of

element of each:

complexType:MetadataDescriptionRepr/URI

    /DataSets/DataSet/Metadata/Description/Representation/URI

        "The URL that points to an online source related to the data source, which may or may not serve as an updated version of the description data"

complexType:Sequence/URI

    /DataSets/DataSet/Units/Unit/Sequences/Sequence/URI

        "URI to access the sequence data."

complexType:Contact/URIs/URI

    /DataSets/DataSet/Metadata/Owners/Owner/URIs/URI

        "Publicly available URL for the person or organisation representing the legal owner of the data collection. "

complexType:Statement/URI

    /DataSets/DataSet/Metadata/IPRStatements/Licenses/License/URI

        "An optional resource on the net providing details related to the license declaration for the database. This element may be used as an alternative

to the long text."

complexType:Reference/URI

    /DataSets/DataSet/Units/Unit/Identifications/Identification/References/Reference/URI

        "The URL to an electronic source of the reference that was used as the base for the identifier's taxon identification"

complexType:ContentMetadata/IconURI

    /DataSets/DataSet/Metadata/IconURI

        "The URI of an icon/logo symbolizing the data source"

complexType:Contact/LogoURI

    /DataSets/DataSet/Metadata/Owners/Owner/LogoURI

        "The URL of a logo image of the item or holding organisation representing the owner of the data source. The logo image may give a quick

indication of the source in result sets comprising data from several datasets. "

complexType:ContentMetadata/DirectAccessURI

    /DataSets/DataSet/Metadata/DirectAccessURI

        "An electronic source of the dataset."

complexType:MultiMediaObject/FileURI

    /DataSets/DataSet/Units/Unit/MultiMediaObjects/MultiMediaObject/FileURI

        "The Universal Resource Identifier (URI) of the underlying multimedia file (i.e. "naked" path to electronic source of multimedia object (e.g. web

address))."

complexType:MultiMediaObject/ProductURI

    /DataSets/DataSet/Units/Unit/MultiMediaObjects/MultiMediaObject/ProductURI

        "The Universal Resource Identifier of an electronic source of a multimedia object including HTML, Javascript or similar means delivering

rendered output."

element:Unit/RecordURI

    /DataSets/DataSet/Units/Unit/RecordURI

        "The web address of the page where more information on this particular unit record (not on the whole dataset) can be found. [OBIS] "
